/*
 * @Author: ZhengXiaowei
 * @Date: 2019-10-15 12:06:28
 * @LastEditors: ZhengXiaowei
 * @LastEditTime: 2019-10-15 14:32:19
 * @Description: api 配置入口
 */
import fetch from "@system.fetch";
import Fly from "flyio/dist/npm/hap";
import apiConfig from "./config";

var fly = new Fly(fetch);

fly.config.baseURL = apiConfig.baseURL;

fly.interceptors.response.use(
  res => {
    if (res.data.code === 0) return res.data.data;
    return Promise.reject(res.data);
  },
  err => {
    return Promise.reject(err);
  }
);

export default fly;
